#!/usr/bin/env node

const clone = require('git-clone')
const program = require('commander')
const shell = require('shelljs')
const log = require('tracer').colorConsole()

program
  .version('0.0.1')
  .description('vue-cli基础项目的web端模板')

program
  .command('clone')
  .action(function (tpl, project) {
    log.info('当前只是简单拉去')
    if (tpl && project) {
      let pwd = shell.pwd()
      log.info(`正在拉取模板代码，下载位置：https://github.com/qm8956/tudou-frontend-cli/ ...`)
      clone(`https://github.com/qm8956/tudou-frontend-cli`, null, function () {
        shell.rm('-rf', pwd + `/tudou-frontend-cli/.git`)
        log.info('模板工程建立完成')
        log.warn('cd tudou-frontend-cli')
        log.warn('npm install')
        log.warn('npm run dev')
      })
    } else {
      log.error('正确命令例子：tudou-frontend-cli clone')
    }
  })

// program
//     .command('* <tpl> <project>')
//     .action(function(tpl, project) {
//         log.info('目前xserver-cli支持以下模板：')
//         log.info('使用例子：x-cli x-express myproject')
//         if (tpl && project) {
//             let pwd = shell.pwd()
//             log.info(`正在拉取模板代码，下载位置：${pwd}/${project}/ ...`)
//             clone(`https://github.com/cheneyweb/${tpl}.git`, pwd + `/${project}`, null, function() {
//                 shell.rm('-rf', pwd + `/${project}/.git`)
//                 log.info('模板工程建立完成')
//             })
//         } else {
//             log.error('正确命令例子：x-cli x-express myproject')
//         }
//     })
program.parse(process.argv)
